import { Component, OnInit, ViewChild } from "@angular/core";
import { DATA } from "../../data/localData";

@Component({
    selector: "grid-sample",
    styleUrls: ["./grid-sorting-sample.component.scss"],
    templateUrl: "grid-sorting-sample.component.html"
})

export class SortingSampleComponent implements OnInit {
    public data: any[];
    public data1: any[];
    public columns: any[] = [];

    constructor() {
    }
    public ngOnInit(): void {
        this.data = this.transpose(DATA);
        this.data1 = DATA;
    }

    transpose(data) : any[]{
      let result = [];
      for (let [key, value] of Object.entries(data[0])) {
        result.push({[key]: []});
        this.columns.push(key);
      }
      let i;
      for (let row of data) {
        i = 0;
        for (let [key, value] of Object.entries(row)) {
          result[i][key].push(value);
          i++;
        }
      }
      return result;
    }

}
