import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from "@angular/forms";
import { NgModule } from '@angular/core';
import { IgxGridModule, IgxIconModule, IgxRippleModule, IgxInputGroupModule, IgxSelectModule } from "igniteui-angular";
import { AppComponent } from './app.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { SortingSampleComponent } from './grid/grid-sorting-sample/grid-sorting-sample.component';

@NgModule({
  declarations: [
    AppComponent,
    SortingSampleComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    FormsModule,
    IgxGridModule,
    IgxRippleModule,
    IgxIconModule,
    IgxInputGroupModule,
    IgxSelectModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
